nxt.account

## Class BalanceHome.Balance

- java.lang.Object
- - nxt.account.BalanceHome.Balance

- Enclosing class:
    BalanceHome

      public final class BalanceHome.Balance
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToBalance(AccountLedger.LedgerEvent event, AccountLedger.LedgerEventId eventId, long amount)`
    `void` | `addToBalance(AccountLedger.LedgerEvent event, AccountLedger.LedgerEventId eventId, long amount, long fee)`
    `void` | `addToBalanceAndUnconfirmedBalance(AccountLedger.LedgerEvent event, AccountLedger.LedgerEventId eventId, long amount)`
    `void` | `addToUnconfirmedBalance(AccountLedger.LedgerEvent event, AccountLedger.LedgerEventId eventId, long amount)`
    `long` | `getAccountId()`
    `long` | `getBalance()`
    `Chain` | `getChain()`
    `long` | `getUnconfirmedBalance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getChain

          public Chain getChain()

    - #### getAccountId

          public long getAccountId()

    - #### getBalance

          public long getBalance()

    - #### getUnconfirmedBalance

          public long getUnconfirmedBalance()

    - #### addToBalance

          public void addToBalance(AccountLedger.LedgerEvent event,
                                   AccountLedger.LedgerEventId eventId,
                                   long amount)

    - #### addToBalance

          public void addToBalance(AccountLedger.LedgerEvent event,
                                   AccountLedger.LedgerEventId eventId,
                                   long amount,
                                   long fee)

    - #### addToUnconfirmedBalance

          public void addToUnconfirmedBalance(AccountLedger.LedgerEvent event,
                                              AccountLedger.LedgerEventId eventId,
                                              long amount)

    - #### addToBalanceAndUnconfirmedBalance

          public void addToBalanceAndUnconfirmedBalance(AccountLedger.LedgerEvent event,
                                                        AccountLedger.LedgerEventId eventId,
                                                        long amount)